Package com.smartgwt.client.ai

# Class BuildHilitesContext

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationContext
com.smartgwt.client.ai.BuildViaAIContext
com.smartgwt.client.ai.BuildHilitesContext

All Implemented Interfaces:
  `HasHandlers`

public class BuildHilitesContext extends BuildViaAIContext

See Also:
  - `com.smartgwt.client.ai.AI#buildHilites`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildHilitesContext()`
  `BuildHilitesContext(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AIServiceMode`
  `getMode()`
  The AI service mode being used to process the request.
  `static BuildHilitesContext`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `BuildHilitesContext`
  `setMode(AIServiceMode mode)`
  The AI service mode being used to process the request.

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationContext

  `getCancellationController, setCancellationController`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BuildHilitesContext

    public BuildHilitesContext()

  - ### BuildHilitesContext

    public BuildHilitesContext(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static BuildHilitesContext getOrCreateRef(JavaScriptObject jsObj)

  - ### setMode

    public BuildHilitesContext setMode(AIServiceMode mode)
    The AI service mode being used to process the request.
    Parameters:
      `mode` - New mode value. Default value is *initialized by the implementation*
    Returns:
      `BuildHilitesContext` instance, for chaining setter calls

  - ### getMode

    public AIServiceMode getMode()
    The AI service mode being used to process the request.
    Returns:
      Current mode value. Default value is *initialized by the implementation*